%define		src_version 0.4.1-2
%define		src_name axolotl-curve25519

Name:		python-axolotl-curve25519
Version:	0.4.1.2
Release:	%mkrel 9
Summary:	curve25519 Python wrapper with Ed25519 signatures
License:	GPLv3
Group:		Development/Python
Url:		https://github.com/tgalal/python-axolotl-curve25519
Source:		https://github.com/tgalal/python-axolotl-curve25519/archive/%{src_version}.tar.gz
# From https://github.com/Psychopumpum/python-axolotl-curve25519/commit/da37e30aa288c4364e556b2d39ab856f89ccb773
Patch:      da37e30aa288c4364e556b2d39ab856f89ccb773.patch

%description
This is a Python wrapper for the curve25519 library with Ed25519 signatures.

%package -n	python3-%{src_name}
Summary:	curve25519 Python wrapper with Ed25519 signatures
Group:		Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{src_name}}

%description -n	python3-%{src_name}
This is a Python wrapper for the curve25519 library with Ed25519 signatures.

%prep
%autosetup -n python-%{src_name}-%{src_version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files axolotl_curve25519

%files -n python3-%{src_name} -f %{pyproject_files}
%license LICENSE


%changelog
* Sun Mar 02 2025 wally <wally> 0.4.1.2-9.mga10
+ Revision: 2156483
- rebuild for python3.13

* Sun Aug 18 2024 papoteur <papoteur> 0.4.1.2-8.mga10
+ Revision: 2086888
- fix for build with GCC 14

* Tue Dec 26 2023 papoteur <papoteur> 0.4.1.2-7.mga10
+ Revision: 2021837
- rebuild for python 3.12 again

* Sat Dec 09 2023 papoteur <papoteur> 0.4.1.2-6.mga10
+ Revision: 2016083
- rebuild for python 3.12

* Sat Mar 19 2022 umeabot <umeabot> 0.4.1.2-5.mga9
+ Revision: 1799319
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.4.1.2-4.mga9
+ Revision: 1785753
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.4.1.2-3.mga9
+ Revision: 1717435
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4.1.2-2.mga8
+ Revision: 1535649
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 sander85 <sander85> 0.4.1.2-1.mga8
+ Revision: 1452651
- imported package python-axolotl-curve25519

